## django-auth-ldap 4.1.0

=== debian/changelog ===
django-auth-ldap (4.1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-django-auth-ldap-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:00:30 +0100

django-auth-ldap (4.1.0-2) unstable; urgency=medium

  * Team upload.
  * Disable apparmor during dep8 test.
    - d/t/control: Adjust "upstream" test to depend on apparmor-utils
      and add "needs-root" restriction to it.
    - d/t/upstream: Disable slapd apparmor profile and run tests using
      ${AUTOPKGTEST_NORMAL_USER} instead of root. (LP: #1990430)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 23 Sep 2022 16:31:40 -0400

django-auth-ldap (4.1.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.1.0.
  * Update year in d/copyright.
  * Clean up django_auth_ldap/version.py to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Wed, 06 Jul 2022 18:58:33 +0000

django-auth-ldap (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.0.1.
  * Update project homepage URL.
  * Disable build-time tests as they require a live slapd instance.
  * Build using pybuild-plugin-pyproject and python3-setuptools-scm.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Sun, 19 Jun 2022 08:11:28 +0000

django-auth-ldap (3.0.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.
  * Clean up egg-info files to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Sun, 15 Aug 2021 14:22:38 +0000

=== debian/control ===
Source: django-auth-ldap
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-django,
 python3-doc,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
Standards-Version: 4.6.1.0
Homepage: https://github.com/django-auth-ldap/django-auth-ldap
Vcs-Git: https://salsa.debian.org/python-team/packages/django-auth-ldap.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-auth-ldap
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-django-auth-ldap-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Django LDAP authentication backend (documentation)
 Django authentication backend that authenticates against an LDAP
 service. Configuration can be as simple as a single distinguished
 name template, but there are many rich configuration options for
 working with users, groups, and permissions.
 .
 This package contains the documentation.

Package: python3-django-auth-ldap
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-auth-ldap-doc,
Description: Django LDAP authentication backend (Python3 version)
 Django authentication backend that authenticates against an LDAP
 service. Configuration can be as simple as a single distinguished
 name template, but there are many rich configuration options for
 working with users, groups, and permissions.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-auth-ldap
export PYBUILD_DISABLE=test

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-auth-ldap-doc/usr/share/doc/python-django-auth-ldap-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build/
	dh_clean

=== debian/tests/control ===
Tests: upstream
Depends:
 ldap-utils,
 python3-all,
 python3-django,
 python3-mock,
 python3-mockldap (>= 0.2.7~),
 python3-ldap (>= 3.4~),
 slapd,
 apparmor-utils,
 @,
 @builddeps@,
Restrictions: allow-stderr, needs-root

## django-auth-ldap 4.3.0

=== debian/changelog ===
django-auth-ldap (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Refresh patches.
  * Add tox to Build-Depends, required by intersphinx.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2023 07:16:10 +0000

## django-auth-ldap 4.5.0

=== debian/changelog ===
django-auth-ldap (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0

 -- Michael Fladischer <fladi@debian.org>  Sun, 13 Aug 2023 07:56:05 +0000

django-auth-ldap (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * Add patch to set fixed package name so setuptools does not accidentally
    detect debian/ as a Python package.

 -- Michael Fladischer <fladi@debian.org>  Fri, 04 Aug 2023 15:08:39 +0000

## django-auth-ldap 4.6.0

=== debian/changelog ===
django-auth-ldap (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Fri, 13 Oct 2023 09:56:10 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
-Standards-Version: 4.6.1.0
+ tox,
+Standards-Version: 4.6.2
 Homepage: https://github.com/django-auth-ldap/django-auth-ldap
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-auth-ldap.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-auth-ldap

=== debian/tests/control ===
Tests: upstream
Depends:
 apparmor-utils,
 ldap-utils,
 python3-all,
 python3-django,
 python3-ldap (>= 3.4~),
 python3-mock,
 python3-mockldap (>= 0.2.7~),
 slapd,
 @,
 @builddeps@,
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/django-auth-ldap/django-auth-ldap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-auth-ldap 4.8.0

=== debian/changelog ===
django-auth-ldap (4.8.0-1) unstable; urgency=low

  * New upstream version 4.8.0
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 10 Apr 2024 14:54:51 +0000

## django-auth-ldap 5.1.0

=== debian/changelog ===
django-auth-ldap (5.1.0-1) unstable; urgency=medium

  * Team Upload
  * Update d/watch to respect the new PyPi archive naming policy
  * New upstream version 5.1.0
  * Trim debian/tests/control
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 01:15:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-django,

## django-auth-ldap 5.2.0

=== debian/changelog ===
django-auth-ldap (5.2.0-1) unstable; urgency=low

  * New upstream version 5.2.0
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Mon, 11 Aug 2025 09:34:26 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools-scm,
  python3-sphinx,
  tox,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/django-auth-ldap/django-auth-ldap
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-auth-ldap.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-auth-ldap

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with=sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: upstream
Depends:
 apparmor-utils,
 ldap-utils,
 python3-all,
 python3-django,
 python3-ldap (>= 3.4~),
 python3-mockldap (>= 0.2.7~),
 slapd,
 @,
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/django-auth-ldap/django_auth_ldap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-auth-ldap 5.3.0

=== docs/requirements.txt ===
setuptools_scm
sphinx-rtd-theme

=== debian/changelog ===
django-auth-ldap (5.3.0-1) unstable; urgency=low

  * New upstream version 5.3.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Update year in d/copyright.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Add python3-sphinx-rtd-theme to Build-Depends, used to build documentation.
  * Drop Rules-Requires-Root.
  * Use uscan version 5.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jan 2026 15:45:26 +0000

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  tox,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/django-auth-ldap/django-auth-ldap
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-auth-ldap.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-auth-ldap
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python-django-auth-ldap-doc
 Section: doc

=== debian/tests/control ===
Tests:
 upstream,
Depends:
 apparmor-utils,
 ldap-utils,
 python3-all,
 python3-django,
 python3-ldap (>= 3.4~),
 python3-mockldap (>= 0.2.7~),
 slapd,
 @,
Restrictions:
 allow-stderr,
 needs-root,

=== debian/watch ===
version=5
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/django-auth-ldap/django_auth_ldap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
